Last Comment Bug 362310 - reset has stopped working
: reset has stopped working
Status: RESOLVED FIXED
: fixed1.8.0.12, fixed1.8.1.4
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: 1.8 Branch
: x86 All
: -- normal (vote)
: ---
Assigned To: aaronr
: Stephen Pride
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-29 17:49 PST by aaronr
Modified: 2016-07-15 14:46 PDT (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
testcase (1.92 KB, application/xhtml+xml)
2006-11-29 17:49 PST, aaronr
no flags Details
patch1 (1.14 KB, patch)
2006-11-29 17:50 PST, aaronr
no flags Details | Diff | Splinter Review
patch2 (1.14 KB, patch)
2006-11-29 17:53 PST, aaronr
surkov.alexander: review+
bugs: review+
Details | Diff | Splinter Review

Description aaronr 2006-11-29 17:49:32 PST
xforms:reset has stopped working.  Generates errors now.

This is showing up now due to the fix for bug 47903.  We need to import the root node of the instance document into the 'originalDocument' first before we append it.  Right now we are just appending and since it is from a different document, the append if failing.
Comment 1 aaronr 2006-11-29 17:49:59 PST
Created attachment 247018 [details]
testcase
Comment 2 aaronr 2006-11-29 17:50:33 PST
Created attachment 247019 [details] [diff] [review]
patch1
Comment 3 aaronr 2006-11-29 17:53:11 PST
Created attachment 247020 [details] [diff] [review]
patch2

fixed whitespace at end of line
Comment 4 alexander :surkov 2006-11-29 18:15:22 PST
Comment on attachment 247020 [details] [diff] [review]
patch2

look ok
Comment 5 aaronr 2006-12-06 14:45:33 PST
checked into trunk on 12/04
Comment 6 aaronr 2007-04-23 15:48:40 PDT
checked into 1.8 branch on 2007-04-12
checked into 1.8.0 branch on 2007-04-16

Note You need to log in before you can comment on or make changes to this bug.